Package org.kie.internal.builder.conf

# Enum Class ReproducibleExecutableModelGenerationOption

java.lang.Object
java.lang.Enum<ReproducibleExecutableModelGenerationOption>
org.kie.internal.builder.conf.ReproducibleExecutableModelGenerationOption

All Implemented Interfaces:
  `Serializable`, `Comparable<ReproducibleExecutableModelGenerationOption>`, `Constable`, `Option`, `SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`, `SingleValueRuleBuilderOption`

public enum ReproducibleExecutableModelGenerationOption extends Enum<ReproducibleExecutableModelGenerationOption> implements SingleValueRuleBuilderOption
An Enum to force the reproducible executable model generation. drools.reproducibleExecutableModelGeneration = <true|false> DEFAULT = false

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  `ENABLED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<ReproducibleExecutableModelGenerationOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`

  ### Fields inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  `boolean`
  `isReproducibleExecutableModelGeneration()`
  `static ReproducibleExecutableModelGenerationOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReproducibleExecutableModelGenerationOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `type`

- ## Enum Constant Details

  - ### ENABLED

    public static final ReproducibleExecutableModelGenerationOption ENABLED

  - ### DISABLED

    public static final ReproducibleExecutableModelGenerationOption DISABLED

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<ReproducibleExecutableModelGenerationOption> KEY

- ## Method Details

  - ### values

    public static ReproducibleExecutableModelGenerationOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReproducibleExecutableModelGenerationOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### isReproducibleExecutableModelGeneration

    public boolean isReproducibleExecutableModelGeneration()